import { Module } from '@nestjs/common';
import { TrainSituationService } from './trainSituation.service';
import { StaffModule } from '../staff/staff.module';
import { TrainSituationController } from './trainSituation.controller';
import { TrainSituationRouter } from './trainSituation.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { SportStandardModule } from '../sport-standard/sportStandard.module';
@Module({
  imports: [StaffModule, SportStandardModule],
  controllers: [TrainSituationController],
  providers: [TrainSituationService, TrainSituationRouter, TrpcService],
  exports: [TrainSituationService, TrainSituationRouter],
})
export class TrainSituationModule {}
